import java.util.Collection;
import javax.ejb.*;
import java.rmi.RemoteException;

public interface ProductHome extends EJBHome
{
	public Product create(int id) throws CreateException, RemoteException;

	public Product findByPrimaryKey(int key) throws RemoteException, FinderException;

	public Collection findAll() throws RemoteException, FinderException;
}
